banshee r4726 - in trunk/banshee/build/osx: . dmg-data



Author: abock
Date: Thu Oct 23 04:36:34 2008
New Revision: 4726
URL: http://svn.gnome.org/viewvc/banshee?rev=4726&view=rev

Log:
Added DMG generator script and resource data

Added:
   trunk/banshee/build/osx/dmg-data/
   trunk/banshee/build/osx/dmg-data/DS_Store   (contents, props changed)
   trunk/banshee/build/osx/dmg-data/background.png   (contents, props changed)
   trunk/banshee/build/osx/dmg-data/license.r
   trunk/banshee/build/osx/make-dmg-bundle.sh   (contents, props changed)
Removed:
   trunk/banshee/build/osx/TODO
Modified:
   trunk/banshee/build/osx/make-app-bundle.sh

Added: trunk/banshee/build/osx/dmg-data/DS_Store
==============================================================================
Binary file. No diff available.

Added: trunk/banshee/build/osx/dmg-data/background.png
==============================================================================
Binary file. No diff available.

Added: trunk/banshee/build/osx/dmg-data/license.r
==============================================================================
--- (empty file)
+++ trunk/banshee/build/osx/dmg-data/license.r	Thu Oct 23 04:36:34 2008
@@ -0,0 +1,94 @@
+// See /System/Library/Frameworks/CoreServices.framework/Frameworks/CarbonCore.framework/Headers/Script.h for language IDs.
+data 'LPic' (5000) {
+  // Default language ID, 0 = English
+  $"0000"
+  // Number of entries in list
+  $"0001"
+
+  // Entry 1
+  // Language ID, 0 = English
+  $"0000"
+  // Resource ID, 0 = STR#/TEXT/styl 5000
+  $"0000"
+  // Multibyte language, 0 = no
+  $"0000"
+};
+
+resource 'STR#' (5000, "English") {
+  {
+    // Language (unused?) = English
+    "English",
+    // Accept (Agree)
+    "Accept",
+    // Decline (Disagree)
+    "Decline",
+    // Print, ellipsis is 0xC9
+    "PrintÉ,
+    // Save As, ellipsis is 0xC9
+    "Save AsÉ,
+    // Descriptive text, curly quotes are 0xD2 and 0xD3
+    "You are about to install the\n"
+    "Banshee Media Player.\n"
+    "\n"
+    "Please read the license agreement.  If you agree to its terms and accept, click ÒcceptÓto access the software.  Otherwise, click ÒeclineÓto cancel."
+  };
+};
+
+// Beware of 1024(?) byte (character?) line length limitation.  Split up long
+// lines.
+// If straight quotes are used ("), remember to escape them (\").
+// Newline is \n, to leave a blank line, use two of them.
+// 0xD2 and 0xD3 are curly double-quotes ("), 0xD4 and 0xD5 are curly
+//   single quotes ('), 0xD5 is also the apostrophe.
+data 'TEXT' (5000, "English") {
+  "BANSHEE MEDIA PLAYER END-USER SOFTWARE LICENSE AGREEMENT\n"
+  "\n"
+  "Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the ÒoftwareÓ, to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n"
+  "\n"
+  "The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n"
+  "\n"
+  "THE SOFTWARE IS PROVIDED ÒS ISÓ WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE."
+};
+
+data 'styl' (5000, "English") {
+  // Number of styles following = 2
+  $"0002"
+
+  // Style 1.  This is used to display the header lines in bold text.
+  // Start character = 0
+  $"0000 0000"
+  // Height = 16
+  $"0010"
+  // Ascent = 12
+  $"000C"
+  // Font family = 1024 (Lucida Grande)
+  $"0400"
+  // Style bitfield, 0x1=bold 0x2=italic 0x4=underline 0x8=outline
+  // 0x10=shadow 0x20=condensed 0x40=extended
+  $"01"
+  // Style, unused?
+  $"02"
+  // Size = 12 point
+  $"000C"
+  // Color, RGB
+  $"0000 0000 0000"
+
+  // Style 2.  This is used to display the body.
+  // Start character = 56
+  $"0000 0038"
+  // Height = 16
+  $"0010"
+  // Ascent = 12
+  $"000C"
+  // Font family = 1024 (Lucida Grande)
+  $"0400"
+  // Style bitfield, 0x1=bold 0x2=italic 0x4=underline 0x8=outline
+  // 0x10=shadow 0x20=condensed 0x40=extended
+  $"00"
+  // Style, unused?
+  $"02"
+  // Size = 12 point
+  $"000C"
+  // Color, RGB
+  $"0000 0000 0000"
+};

Modified: trunk/banshee/build/osx/make-app-bundle.sh
==============================================================================
--- trunk/banshee/build/osx/make-app-bundle.sh	(original)
+++ trunk/banshee/build/osx/make-app-bundle.sh	Thu Oct 23 04:36:34 2008
@@ -13,5 +13,7 @@
 cp -rf ../../bin/* $DEST
 cp -rf glib-sharp-workaround $DEST
 
+find Banshee.app -type d -iregex '.*\.svn$' | xargs rm -rf
+
 popd &>/dev/null
 

Added: trunk/banshee/build/osx/make-dmg-bundle.sh
==============================================================================
--- (empty file)
+++ trunk/banshee/build/osx/make-dmg-bundle.sh	Thu Oct 23 04:36:34 2008
@@ -0,0 +1,61 @@
+#!/bin/bash
+
+pushd $(dirname $0) &>/dev/null
+
+./make-app-bundle.sh
+
+VOLUME_NAME=Banshee
+DMG_SRC="Banshee.app"
+DMG_FILE=$VOLUME_NAME.dmg
+MOUNT_POINT=$VOLUME_NAME.mounted
+
+rm -f $DMG_FILE
+rm -f $DMG_FILE.master
+
+# Compute an approximated image size in MB, and bloat by 1MB
+image_size=$(du -ck $DMG_SRC | tail -n1 | cut -f1)
+image_size=$((($image_size + 1000) / 1000))
+
+echo "Creating disk image (${image_size}MB)..."
+hdiutil create $DMG_FILE -megabytes $image_size -volname $VOLUME_NAME -fs HFS+ -quiet || exit $?
+
+echo "Attaching to disk image..."
+hdiutil attach $DMG_FILE -readwrite -noautoopen -mountpoint $MOUNT_POINT -quiet
+
+echo "Populating image..."
+
+for src in $DMG_SRC; do
+	cp -rf $src $MOUNT_POINT
+done
+
+find $MOUNT_POINT -type d -iregex '.*\.svn$' &>/dev/null | xargs rm -rf
+
+pushd $MOUNT_POINT &>/dev/null
+ln -s /Applications " "
+popd &>/dev/null
+
+mkdir $MOUNT_POINT/.background
+cp dmg-data/background.png $MOUNT_POINT/.background
+cp dmg-data/DS_Store $MOUNT_POINT/.DS_Store
+
+echo "Detaching from disk image..."
+hdiutil detach $MOUNT_POINT -quiet
+
+mv $DMG_FILE $DMG_FILE.master
+
+echo "Creating distributable image..."
+hdiutil convert -quiet -format UDBZ -o $DMG_FILE $DMG_FILE.master
+
+echo "Installing end user license agreement..."
+hdiutil flatten -quiet $DMG_FILE
+/Developer/Tools/Rez /Developer/Headers/FlatCarbon/*.r dmg-data/license.r -a -o $DMG_FILE
+hdiutil unflatten -quiet $DMG_FILE
+
+echo "Done."
+
+if [ ! "x$1" = "x-m" ]; then
+	rm $DMG_FILE.master
+fi
+
+popd &>/dev/null
+



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]